<template>
  <div class="home">
    <div class="inner_box" @click="close"></div>
    <HomeInner @close="close" />
  </div>
</template>

<script>
import HomeInner from "@/views/Home/HomeInner/HomeInner"; // 菜单内容
export default {
  name: "Home",
  components: {
    HomeInner,
  },
  inject: ["refresh", "getUserInfo", "getFinance"],
  data() {
    return {};
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {
    // 初始化页面信息
    this.init();
  },
  methods: {
    // 初始化页面信息
    init() {
      // 校验登录态
      this.refresh();
      // 获取用户信息
      this.getUserInfo();
      // 获取鸿币余额
      this.getFinance();
    },

    // 关闭
    close() {
    },
  },
};
</script>

<style lang='less' scoped>
</style>